### What does this MR do?

### Are there points in the code the reviewer needs to double check?

### Why was this MR needed?

### Screenshots (if relevant)

## Types of changes

What types of changes does your code introduce? Put an `x` in all the boxes that apply:
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to change)

### Does this MR meet the acceptance criteria?

(Go over all the following points, and put an `x` in all the boxes that apply.)
(If you're unsure about any of these, don't hesitate to ask. We're here to help!)

* [ ]  I have read the [**CONTRIBUTING**](../CONTRIBUTING.md) document.
* [ ]  Changelog entry added, if necessary
* [ ]  Documentation created/updated
* [ ]  Tests added for this feature/bug
* [ ]  All new and existing tests passed
* [ ]  Conform by the style guides (0 issue with rubocop / codacy)
* [ ]  [Squashed related commits together](https://git-scm.com/book/en/v2/Git-Tools-Rewriting-History#_squashing)

### Related issues

(This project only accepts pull requests related to open issues)
(If suggesting a new feature or change, please discuss it in an issue first)
(If fixing a bug, there should be an issue describing it with steps to reproduce)
